/*------------------------------------*\
    #BASE.TYPOGRAPHY
\*------------------------------------*/
/**
 * Basis typographic settings. This includes the definition of @font-face rules.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.base';

@include frs-font-face('HelveticaNeueLT', 'typo3conf/ext/drk_template/Resources/Public/Fonts/HelveticaNeueLT-Light');
@include frs-font-face('HelveticaNeueLT', 'typo3conf/ext/drk_template/Resources/Public/Fonts/HelveticaNeueLT-Medium', bold);
@include frs-font-face('HelveticaNeueLT', 'typo3conf/ext/drk_template/Resources/Public/Fonts/HelveticaNeueLT-Light-Italic', normal, italic);

html {
    font-size: $frs-base-font-size;
}

body {
    color: $inuit-base-text-color;
    font-family: $frs-font-family;
    font-size: $base-font-size-small-up;

    @media #{$medium-up}{
        font-size: $base-font-size-medium-up;
    }

    @media #{$large-up}{
        font-size: $base-font-size-large-up;
    }
}

a {
    color: $frs-color-blue;
    text-decoration: none;

    @include epx-transition(all 300ms ease-in-out 0s);
    @include frs-hover {
        color: $frs-color-btn-hover;
        text-decoration: underline;
    }
    @include frs-focus {
        color: $frs-color-btn-hover;
        text-decoration: underline;
    }
}

em {
    color: $frs-color-red;
    font-style: normal;
}

p {
    margin-top: 0;
}
.small-font {
    font-size:80%;
}
.large-font {
    font-size:120%;
}
@if $theme == "reloaded" {
    a {
        color: $frs-color-grey;
    }
}
